Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
[Java] Class Script

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.Script

    public abstract class Script
    extends GroovyObjectSupport

This object represents a Groovy script

Authors:
  James Strachan
  Guillaume Laforge

Version:
  \$Revision: 20506 \$

Constructor Summary
`protected Script()`
`protected Script(Binding binding)`

Method Summary
`Object` | `evaluate(String expression)` A helper method to allow the dynamic evaluation of groovy expressions using this scripts binding as the variable scope
`Object` | `evaluate(File file)` A helper method to allow the dynamic evaluation of groovy expressions using this scripts binding as the variable scope
`Binding` | `getBinding()`
`Object` | `getProperty(String property)`
`Object` | `invokeMethod(String name, Object args)` Invoke a method (or closure in the binding) defined.
`void` | `print(Object value)` Prints the value to the current 'out' variable which should be a PrintWriter or at least have a print() method defined on it.
`void` | `printf(String format, Object value)` Prints a formatted string using the specified format string and argument.
`void` | `printf(String format, Object[] values)` Prints a formatted string using the specified format string and arguments.
`void` | `println()` Prints a newline to the current 'out' variable which should be a PrintWriter or at least have a println() method defined on it.
`void` | `println(Object value)` Prints the value and a newline to the current 'out' variable which should be a PrintWriter or at least have a println() method defined on it.
`Object` | `run()` The main instance method of a script which has variables in scope as defined by the current Binding instance.
`void` | `run(File file, String[] arguments)` A helper method to allow scripts to be run taking command line arguments
`void` | `setBinding(Binding binding)`
`void` | `setProperty(String property, Object newValue)`

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### Script

    protected Script()

### Script

    protected Script(Binding binding)

Method Detail

### evaluate

    public Object evaluate(String expression)

  A helper method to allow the dynamic evaluation of groovy expressions using this scripts binding as the variable scope
  Parameters:
    `expression` - is the Groovy script expression to evaluate

### evaluate

    public Object evaluate(File file)

  A helper method to allow the dynamic evaluation of groovy expressions using this scripts binding as the variable scope
  Parameters:
    `file` - is the Groovy script to evaluate

### getBinding

    public Binding getBinding()

### getProperty

    public Object getProperty(String property)

### invokeMethod

    public Object invokeMethod(String name, Object args)

  Invoke a method (or closure in the binding) defined.
  Parameters:
    `name` - method to call
    `args` - arguments to pass to the method
  Returns:
    value

### print

    public void print(Object value)

  Prints the value to the current 'out' variable which should be a PrintWriter or at least have a print() method defined on it. If there is no 'out' property then print to standard out.

### printf

    public void printf(String format, Object value)

  Prints a formatted string using the specified format string and argument.
  Parameters:
    `format` - the format to follow
    `value` - the value to be formatted

### printf

    public void printf(String format, Object[] values)

  Prints a formatted string using the specified format string and arguments.
  Parameters:
    `format` - the format to follow
    `values` - an array of values to be formatted

### println

    public void println()

  Prints a newline to the current 'out' variable which should be a PrintWriter or at least have a println() method defined on it. If there is no 'out' property then print to standard out.

### println

    public void println(Object value)

  Prints the value and a newline to the current 'out' variable which should be a PrintWriter or at least have a println() method defined on it. If there is no 'out' property then print to standard out.

### run

    public Object run()

  The main instance method of a script which has variables in scope as defined by the current Binding instance.

### run

    public void run(File file, String[] arguments)

  A helper method to allow scripts to be run taking command line arguments

### setBinding

    public void setBinding(Binding binding)

### setProperty

    public void setProperty(String property, Object newValue)

Copyright © 2003-2010 The Codehaus. All rights reserved.